﻿@model ApplidevKPI.Models.Project

@*Form for create new Project or edit*@

    <tr id="newLineCreate">
        @Html.AntiForgeryToken()
        @Html.HiddenFor(model => model.PK_ID)

        <td></td>
        <td>
            @Html.EditorFor(model => model.Wording, new { htmlAttributes = new { @class = "form-control", @required = "required", @pattern = "[a-zA-ZÀ-ÿ0-9_&-'+#]+([ ]?[a-zA-ZÀ-ÿ0-9_&-'+#]+)*", @maxlength = "30" } })
        </td>
        <td>
            @Html.DropDownList("FK_ID_Customer", null, htmlAttributes: new { @class = "form-control", @style = "max-width: 14em;"})
        </td>
        <td>
            <input class="form-control text-box single-line" id="Estimated_time" step=".01" name="Estimated_time" type="number" min="0.00" max="9999999999.99" required value="@ViewBag.Decimal" style="width:8em;">
        </td>
        <td><a id="taskLink" style="color:darkgray" class="setting-task glyphicon glyphicon-list-alt"></a></td>
        <td>
            @Html.EditorFor(model => model.Selection_time_spent)
        </td>
        <td>
            @Html.EditorFor(model => model.Display_kpi)
        </td>
        <td style="user-select: none;">
            <button type="submit" class="btn btn-default setting-submit-form">
                <span class="glyphicon glyphicon-ok"></span>
            </button>
            <button class="btn btn-danger setting-cancel-form" onclick="formCancel(this);">
                <span class="glyphicon glyphicon-remove"></span>
            </button>
        </td>
    </tr>